import { OnChanges, SimpleChanges } from '@angular/core';
import { DomSanitizer, SafeHtml } from '@angular/platform-browser';
import { FlipProp, PullProp, RotateProp, SizeProp, Styles, TextParams, Transform } from '@fortawesome/fontawesome-svg-core';
import { FaLayersComponent } from './layers.component';
import * as i0 from "@angular/core";
export declare class FaLayersTextComponent implements OnChanges {
    private parent;
    private sanitizer;
    content: string;
    title?: string;
    /**
     * Set `style` attribute on the SVG element rendered by the component.
     *
     * @deprecated This input breaks view encapsulation and is not recommended.
     * For simple cases (like colors), use `style` on the component itself, for
     * more complex usages, explicitly opt-in to break the view encapsulation.
     * This input is deprecated since 0.12.0 and will be removed in 0.13.0.
     */
    styles?: Styles;
    /**
     * Set `class` attribute on the SVG element rendered by the component.
     *
     * @deprecated This input breaks view encapsulation and is not recommended.
     * For simple cases (like colors), use `class` on the component itself, for
     * more complex usages, explicitly opt-in to break the view encapsulation.
     * This input is deprecated since 0.12.0 and will be removed in 0.13.0.
     */
    classes?: string[];
    /**
     * @deprecated This input was incorrectly exposed and never worked correctly. To be removed in 0.14.0.
     */
    set spin(value: boolean);
    /**
     * @deprecated This input was incorrectly exposed and never worked correctly. To be removed in 0.14.0.
     */
    set pulse(value: boolean);
    flip?: FlipProp;
    size?: SizeProp;
    pull?: PullProp;
    border?: boolean;
    inverse?: boolean;
    rotate?: RotateProp;
    fixedWidth?: boolean;
    transform?: string | Transform;
    renderedHTML: SafeHtml;
    private animation;
    constructor(parent: FaLayersComponent, sanitizer: DomSanitizer);
    ngOnChanges(changes: SimpleChanges): void;
    /**
     * Updating params by component props.
     */
    protected buildParams(): TextParams;
    private updateContent;
    static ɵfac: i0.ɵɵFactoryDeclaration<FaLayersTextComponent, [{ optional: true; }, null]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FaLayersTextComponent, "fa-layers-text", never, { "content": "content"; "title": "title"; "styles": "styles"; "classes": "classes"; "spin": "spin"; "pulse": "pulse"; "flip": "flip"; "size": "size"; "pull": "pull"; "border": "border"; "inverse": "inverse"; "rotate": "rotate"; "fixedWidth": "fixedWidth"; "transform": "transform"; }, {}, never, never, false, never>;
}
